Skip to navigation

Update Pickups

Update pickups by providing pickup_id, collected_at, and ready_at in the input.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
pickup_idintegerRequired>=1
The ID of pickup.
idintegerRequired>=1Deprecated
ready_atstringOptional

Can be provided as two inputs. Unix: Represents the time in seconds that has elapsed since Unix epoch (00:00:00 UTC on 1 January 1970) ISO-8601: Represents the time in ISO format.

collected_atstringOptional

Can be provided as two inputs. Unix: Represents the time in seconds that has elapsed since Unix epoch (00:00:00 UTC on 1 January 1970). ISO-8601: Represents the time in ISO format. If this value is not supplied, the pickup item collected_at property will be null.

Response

The request has been successfully processed.
datalist of objectsOptional
metaobjectOptional

Errors

422
Unprocessable Entity Error